Bug 1248321 - Startup Warning when start brms or bpmsuite
Startup Warning when start brms or bpmsuite
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity unspecified
: ER3
: 6.2.0
Assigned To: Maciej Swiderski
Dominik Hanak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 01:30 EDT by Ryan Zhang
Modified: 2015-10-02 02:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2015-07-30 01:30:22 EDT
Description of problem:
These happens to brms/bpmsuite 6.2 DR1. I see the warning everytime when start up the server. 
Not sure how serious it is, but we would better get rid of them.

13:22:05,237 WARN  [org.drools.persistence.SingleSessionCommandService] (MSC service thread 1-4) Could not commit session: org.drools.persistence.SessionNotFoundException: Could not find session data for id 1
	at org.drools.persistence.SingleSessionCommandService.initExistingKnowledgeSession(SingleSessionCommandService.java:219) [drools-persistence-jpa-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.drools.persistence.SingleSessionCommandService.<init>(SingleSessionCommandService.java:174) [drools-persistence-jpa-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) [rt.jar:1.7.0_17]
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57) [rt.jar:1.7.0_17]
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) [rt.jar:1.7.0_17]
	at java.lang.reflect.Constructor.newInstance(Constructor.java:525) [rt.jar:1.7.0_17]
	at org.drools.persistence.jpa.KnowledgeStoreServiceImpl.buildCommandService(KnowledgeStoreServiceImpl.java:143) [drools-persistence-jpa-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.drools.persistence.jpa.KnowledgeStoreServiceImpl.loadKieSession(KnowledgeStoreServiceImpl.java:111) [drools-persistence-jpa-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.drools.persistence.jpa.KnowledgeStoreServiceImpl.loadKieSession(KnowledgeStoreServiceImpl.java:39) [drools-persistence-jpa-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.kie.internal.persistence.jpa.JPAKnowledgeService.loadStatefulKnowledgeSession(JPAKnowledgeService.java:144) [kie-internal-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.runtime.manager.impl.factory.JPASessionFactory.findKieSessionById(JPASessionFactory.java:53) [jbpm-runtime-manager-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.runtime.manager.impl.SingletonRuntimeManager.init(SingletonRuntimeManager.java:92) [jbpm-runtime-manager-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl.newSingletonRuntimeManager(RuntimeManagerFactoryImpl.java:64) [jbpm-runtime-manager-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.services.cdi.impl.manager.RuntimeManagerFactoryCDIImpl$Proxy$_$$_WeldClientProxy.newSingletonRuntimeManager(RuntimeManagerFactoryCDIImpl$Proxy$_$$_WeldClientProxy.java) [jbpm-services-cdi-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.kie.services.impl.AbstractDeploymentService.commonDeploy(AbstractDeploymentService.java:134) [jbpm-kie-services-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.kie.services.impl.KModuleDeploymentService.deploy(KModuleDeploymentService.java:164) [jbpm-kie-services-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.services.cdi.impl.DeploymentServiceCDIImpl$Proxy$_$$_WeldClientProxy.deploy(DeploymentServiceCDIImpl$Proxy$_$$_WeldClientProxy.java) [jbpm-services-cdi-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl.initDeployments(DeploymentManagerEntryPointImpl.java:112) [jbpm-console-ng-business-domain-backend-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl$Proxy$_$$_WeldClientProxy.initDeployments(DeploymentManagerEntryPointImpl$Proxy$_$$_WeldClientProxy.java) [jbpm-console-ng-business-domain-backend-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.console.ng.bd.backend.server.AdministrationServiceImpl.bootstrapDeployments(AdministrationServiceImpl.java:200) [jbpm-console-ng-business-domain-backend-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.jbpm.console.ng.bd.backend.server.AdministrationServiceImpl$Proxy$_$$_WeldClientProxy.bootstrapDeployments(AdministrationServiceImpl$Proxy$_$$_WeldClientProxy.java) [jbpm-console-ng-business-domain-backend-6.3.0.Beta2-redhat-1.jar:6.3.0.Beta2-redhat-1]
	at org.kie.workbench.drools.backend.server.AppSetup.assertPlayground(AppSetup.java:190) [classes:]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_17]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_17]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_17]
	at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_17]
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invoke(WeldMethodImpl.java:168) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bean.AbstractClassBean.defaultPostConstruct(AbstractClassBean.java:403) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bean.ManagedBean$ManagedBeanInjectionTarget.postConstruct(ManagedBean.java:178) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bean.ManagedBean.create(ManagedBean.java:298) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.context.AbstractContext.get(AbstractContext.java:103) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bean.proxy.ContextBeanInstance.getInstance(ContextBeanInstance.java:90) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bean.proxy.ProxyMethodHandler.invoke(ProxyMethodHandler.java:79) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.kie.workbench.drools.backend.server.AppSetup$Proxy$_$$_WeldClientProxy.toString(AppSetup$Proxy$_$$_WeldClientProxy.java) [classes:]
	at org.uberfire.backend.server.cdi.SystemConfigProducer.runPostConstruct(SystemConfigProducer.java:143) [uberfire-backend-cdi-0.7.0.Beta3-redhat-1.jar:0.7.0.Beta3-redhat-1]
	at org.uberfire.backend.server.cdi.SystemConfigProducer.afterDeploymentValidation(SystemConfigProducer.java:126) [uberfire-backend-cdi-0.7.0.Beta3-redhat-1.jar:0.7.0.Beta3-redhat-1]
	at org.uberfire.backend.server.cdi.SystemConfigProducer$Proxy$_$$_WeldClientProxy.afterDeploymentValidation(SystemConfigProducer$Proxy$_$$_WeldClientProxy.java) [uberfire-backend-cdi-0.7.0.Beta3-redhat-1.jar:0.7.0.Beta3-redhat-1]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_17]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_17]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_17]
	at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_17]
	at org.jboss.weld.util.reflection.SecureReflections$13.work(SecureReflections.java:267) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.run(SecureReflectionAccess.java:52) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflectionAccess.runAsInvocation(SecureReflectionAccess.java:137) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.util.reflection.SecureReflections.invoke(SecureReflections.java:263) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.introspector.jlr.WeldMethodImpl.invokeOnInstance(WeldMethodImpl.java:164) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.introspector.ForwardingWeldMethod.invokeOnInstance(ForwardingWeldMethod.java:51) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.injection.MethodInjectionPoint.invokeOnInstanceWithSpecialValue(MethodInjectionPoint.java:154) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:245) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.sendEvent(ObserverMethodImpl.java:233) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.event.ObserverMethodImpl.notify(ObserverMethodImpl.java:213) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bootstrap.events.AbstractContainerEvent.fire(AbstractContainerEvent.java:75) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bootstrap.events.AbstractDeploymentContainerEvent.fire(AbstractDeploymentContainerEvent.java:46) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bootstrap.events.AfterDeploymentValidationImpl.fire(AfterDeploymentValidationImpl.java:31) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.weld.bootstrap.WeldBootstrap.validateBeans(WeldBootstrap.java:382) [weld-core-1.1.28.Final-redhat-1.jar:1.1.28.Final-redhat-1]
	at org.jboss.as.weld.WeldStartService.start(WeldStartService.java:64) [jboss-as-weld-7.5.0.Final-redhat-21.jar:7.5.0.Final-redhat-21]
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1980)
	at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1913)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_17]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_17]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_17]


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Start BPMSuite or BRMS 6.2.0 DR1
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 manstis 2015-07-30 04:46:53 EDT
Hi Mauricio, I see "jbpm console" in the logs so thought first of you ;) -- but if it's something more in the core jBPM runtime please reassign as appropriate.
Comment 3 Maciej Swiderski 2015-09-10 05:25:40 EDT
this is a harmless message and usually happens when in memory data base is used as it is recreated on every start.

it has been improved to skip stack trace print and stick to single line warning it could not find session in db.

drools
master:
https://github.com/droolsjbpm/drools/commit/0f2e71273879bafddeb919bd437f8a4467426e28

6.3.x:
https://github.com/droolsjbpm/drools/commit/d0da0ddb66bbe57befc2308d7e217f6b7fe47386
Comment 4 Dominik Hanak 2015-10-02 02:33:22 EDT
Message in BRMS:
8:25:32,815 WARN  [org.drools.persistence.SingleSessionCommandService] (MSC service thread 1-2) Could not commit session due to Could not find session data for id 1
08:26:01,561 INFO ...

Message in BPMS:
08:31:07,801 WARN  [org.drools.persistence.SingleSessionCommandService] (MSC service thread 1-4) Could not commit session due to Could not find session data for id 1
08:31:01,561 INFO ...

Marking as Verified.

Note You need to log in before you can comment on or make changes to this bug.